Opened 11 years ago

Last modified 7 years ago

#973 closed defect (Fixed)

OSX uninstall script misses some files

Reported by: phobos Owned by: phobos
Priority: Low Milestone:
Component: Core Tor/Tor Version: 0.2.0.34
Severity: Keywords:
Cc: phobos Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

From: Danny Thomas <d.thomas@…>
To: tor-volunteer@…
Subject: OSX uninstall_tor_bundle.sh does not remove everything
Date: Tue, 21 Apr 2009 09:11:44 +1000
Sender: owner-tor-assistants@…
User-Agent: Thunderbird 2.0.0.21 (Macintosh/20090302)

on https://www.torproject.org/docs/tor-doc-osx.html.en

4 corrections

should be hyphen in "/usr/bin/tor_resolve"
should be 'P' in "/Library/Receipts/privoxyconf.pkg/"
doesn't mention /Applications/Vidalia.app
doesn't mention /Library/Receipts/Vidalia.pkg

Unfortunately I forgot to check the version I was uninstalling but
am fairly confidant it was installed from

vidalia-bundle-0.2.0.34-0.1.10-universal.dmg

after manually finishing the uninstall, I installed
vidalia-bundle-0.2.1.14-rc-0.1.12-universal
and confirmed that its' uninstall script behaved the same,
i.e. the following items were left

it might be better saying to run /Library/Tor/uninstall_tor_bundle.sh
as that script deletes the directory you're in

"Tor and Privoxy are now completely removed from your system."
well that wasn't the case for me

first off the script reported errors and I've no idea whether these
prevented
items from being uninstalled or whether the script does not include
everything to be removed

bash-3.2# ./uninstall_tor_bundle.sh
ps: No user named 'ax'
. tor process appears to already be stopped
ps: No user named 'ax'
. privoxy process appears to already be stopped
./uninstall_tor_bundle.sh: line 123: /Library/Tor/package_list.txt: No
such file or directory
. Removing created user _tor
delete: Invalid Path
<dscl_cmd> DS Error: -14009 (eDSUnknownNodeName)
. Cleaning up
. Finished

after that I found the following were still there
so I manually deleted them

ls /Library/Vidalia/
CHANGELOG CREDITS README

ls -l /usr/bin/tor*
lrwxr-xr-x 1 root wheel 16 23 Jan 08:10 /usr/bin/tor -> /Library/Tor/tor
lrwxr-xr-x 1 root wheel 24 23 Jan 08:10 /usr/bin/tor-resolve ->
/Library/Tor/

ls -l /var/log/tor*
-rw-rw---- 1 root daemon 0 20 Jan 2008 /var/log/tor.log

bash-3.2# ls -alR /Library/Receipts/Priv*
/Library/Receipts/Privoxy.pkg:
total 0
drwxrwxr-x 3 root admin 102 23 Jan 08:10 .
drwxrwxr-x 94 root admin 3196 21 Apr 06:45 ..
drwxrwxr-x 6 root admin 204 23 Jan 08:10 Contents

/Library/Receipts/Privoxy.pkg/Contents:
total 96
drwxrwxr-x 6 root admin 204 23 Jan 08:10 .
drwxrwxr-x 3 root admin 102 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 40388 22 Nov 2006 Archive.bom
-rw-rw-r-- 1 root admin 1283 23 Jan 08:10 Info.plist
-rw-rw-r-- 1 root admin 8 22 Nov 2006 PkgInfo
drwxrwxr-x 16 root admin 544 23 Jan 08:10 Resources

/Library/Receipts/Privoxy.pkg/Contents/Resources:
total 200
drwxrwxr-x 16 root admin 544 23 Jan 08:10 .
drwxrwxr-x 6 root admin 204 23 Jan 08:10 ..
drwxrwxr-x 7 root admin 238 23 Jan 08:10 CVS
-rw-rw-r-- 1 root admin 1053 22 Nov 2006 Description.plist
-rwxrwxr-x 1 root admin 15623 22 Nov 2006 License.html
-rw-rw-r-- 1 root admin 40388 22 Nov 2006 Privoxy.bom
-rw-rw-r-- 1 root admin 864 22 Nov 2006 Privoxy.info
-rwxrwxr-x 1 root admin 2247 22 Nov 2006 Privoxy.post_install
-rwxrwxr-x 1 root admin 2693 22 Nov 2006 Privoxy.post_upgrade
-rwxrwxr-x 1 root admin 10 22 Nov 2006 Privoxy.pre_upgrade
-rw-rw-r-- 1 root admin 46 22 Nov 2006 Privoxy.sizes
-rwxrwxr-x 1 root admin 861 22 Nov 2006 ReadMe.txt
-rwxrwxr-x 1 root admin 2247 22 Nov 2006 postinstall
-rwxrwxr-x 1 root admin 2693 22 Nov 2006 postupgrade
-rwxrwxr-x 1 root admin 10 22 Nov 2006 preupgrade
-rwxrwxr-x 1 root admin 401 22 Nov 2006 welcome.txt

/Library/Receipts/Privoxy.pkg/Contents/Resources/CVS:
total 24
drwxrwxr-x 7 root admin 238 23 Jan 08:10 .
drwxrwxr-x 16 root admin 544 23 Jan 08:10 ..
drwxrwxr-x 2 root admin 68 23 Jan 08:10 Base
-rwxrwxr-x 1 root admin 0 22 Nov 2006 Baserev
-rwxrwxr-x 1 root admin 263 22 Nov 2006 Entries
-rwxrwxr-x 1 root admin 16 22 Nov 2006 Repository
-rwxrwxr-x 1 root admin 66 22 Nov 2006 Root

/Library/Receipts/Privoxy.pkg/Contents/Resources/CVS/Base:
total 0
drwxrwxr-x 2 root admin 68 23 Jan 08:10 .
drwxrwxr-x 7 root admin 238 23 Jan 08:10 ..

/Library/Receipts/PrivoxyConf.pkg:
total 0
drwxrwxr-x 3 root admin 102 23 Jan 08:10 .
drwxrwxr-x 94 root admin 3196 21 Apr 06:45 ..
drwxrwxr-x 6 root admin 204 23 Jan 08:10 Contents

/Library/Receipts/PrivoxyConf.pkg/Contents:
total 88
drwxrwxr-x 6 root admin 204 23 Jan 08:10 .
drwxrwxr-x 3 root admin 102 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 35268 3 Dec 12:07 Archive.bom
-rw-rw-r-- 1 root admin 1329 23 Jan 08:10 Info.plist
-rw-rw-r--@ 1 root admin 9 3 Dec 12:07 PkgInfo
drwxrwxr-x 5 root admin 170 23 Jan 08:10 Resources

/Library/Receipts/PrivoxyConf.pkg/Contents/Resources:
total 16
drwxrwxr-x 5 root admin 170 23 Jan 08:10 .
drwxrwxr-x 6 root admin 204 23 Jan 08:10 ..
drwxrwxr-x 3 root admin 102 23 Jan 08:10 en.lproj
-rw-rw-r--@ 1 root admin 17 3 Dec 12:07 package_version
-rwxrwxr-x 1 root admin 423 3 Dec 12:07 postflight

/Library/Receipts/PrivoxyConf.pkg/Contents/Resources/en.lproj:
total 8
drwxrwxr-x 3 root admin 102 23 Jan 08:10 .
drwxrwxr-x 5 root admin 170 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 387 3 Dec 12:07 Description.plist

bash-3.2# ls -al /Library/Receipts/Tor.pkg
total 0
drwxrwxr-x 3 root admin 102 23 Jan 08:10 .
drwxrwxr-x 92 root admin 3128 21 Apr 08:42 ..
drwxrwxr-x 6 root admin 204 23 Jan 08:10 Contents
bash-3.2# ls -alR /Library/Receipts/Tor.pkg
total 0
drwxrwxr-x 3 root admin 102 23 Jan 08:10 .
drwxrwxr-x 92 root admin 3128 21 Apr 08:42 ..
drwxrwxr-x 6 root admin 204 23 Jan 08:10 Contents

/Library/Receipts/Tor.pkg/Contents:
total 88
drwxrwxr-x 6 root admin 204 23 Jan 08:10 .
drwxrwxr-x 3 root admin 102 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 36008 3 Dec 12:07 Archive.bom
-rw-rw-r-- 1 root admin 1399 23 Jan 08:10 Info.plist
-rw-rw-r--@ 1 root admin 9 3 Dec 12:07 PkgInfo
drwxrwxr-x 9 root admin 306 23 Jan 08:10 Resources

/Library/Receipts/Tor.pkg/Contents/Resources:
total 48
drwxrwxr-x 9 root admin 306 23 Jan 08:10 .
drwxrwxr-x 6 root admin 204 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 3555 3 Dec 12:07 Tor_Uninstaller.applescript
drwxrwxr-x 7 root admin 238 23 Jan 08:10 documents
drwxrwxr-x 3 root admin 102 23 Jan 08:10 en.lproj
-rw-rw-r-- 1 root admin 53 3 Dec 12:07 package_list.txt
-rw-rw-r--@ 1 root admin 17 3 Dec 12:07 package_version
-rwxrwxr-x 1 root admin 1942 3 Dec 12:07 postflight
-rwxrwxr-x 1 root admin 4854 3 Dec 12:07 uninstall_tor_bundle.sh

/Library/Receipts/Tor.pkg/Contents/Resources/documents:
total 632
drwxrwxr-x 7 root admin 238 23 Jan 08:10 .
drwxrwxr-x 9 root admin 306 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 1305 3 Dec 12:07 AUTHORS.txt
drwxrwxr-x 11 root admin 374 23 Jan 08:10 Advanced
drwxrwxr-x 25 root admin 850 23 Jan 08:10 howto
-rw-rw-r-- 1 root admin 238952 3 Dec 12:07 tor-reference.pdf
-rw-rw-r-- 1 root admin 75588 3 Dec 12:07 tor-resolve.pdf

/Library/Receipts/Tor.pkg/Contents/Resources/documents/Advanced:
total 1032
drwxrwxr-x 11 root admin 374 23 Jan 08:10 .
drwxrwxr-x 7 root admin 238 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 341563 3 Dec 12:07 ChangeLog.txt
-rw-rw-r-- 1 root admin 5025 3 Dec 12:07 HACKING.txt
-rw-rw-r-- 1 root admin 2429 3 Dec 12:07 address-spec.txt
-rw-rw-r-- 1 root admin 64214 3 Dec 12:07 control-spec.txt
-rw-rw-r-- 1 root admin 19815 3 Dec 12:07 path-spec.txt
-rw-rw-r-- 1 root admin 35398 3 Dec 12:07 rend-spec.txt
-rw-rw-r-- 1 root admin 3339 3 Dec 12:07 socks-extensions.txt
-rw-rw-r-- 1 root admin 38209 3 Dec 12:07 tor-spec.txt
-rw-rw-r-- 1 root admin 2202 3 Dec 12:07 version-spec.txt

/Library/Receipts/Tor.pkg/Contents/Resources/documents/howto:
total 592
drwxrwxr-x 25 root admin 850 23 Jan 08:10 .
drwxrwxr-x 7 root admin 238 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 6172 3 Dec 12:07 stylesheet.css
-rw-rw-r-- 1 root admin 12010 3 Dec 12:07 tor-doc-osx.html.en
-rw-rw-r-- 1 root admin 12703 3 Dec 12:07 tor-doc-osx.html.es
-rw-rw-r-- 1 root admin 13522 3 Dec 12:07 tor-doc-osx.html.fr
-rw-rw-r-- 1 root admin 12545 3 Dec 12:07 tor-doc-osx.html.it
-rw-rw-r-- 1 root admin 13100 3 Dec 12:07 tor-doc-osx.html.pl
-rw-rw-r-- 1 root admin 17426 3 Dec 12:07 tor-doc-server.html.de
-rw-rw-r-- 1 root admin 3674 3 Dec 12:07 tor-doc-server.html.en
-rw-rw-r-- 1 root admin 4005 3 Dec 12:07 tor-doc-server.html.fr
-rw-rw-r-- 1 root admin 3996 3 Dec 12:07 tor-doc-server.html.it
-rw-rw-r-- 1 root admin 4043 3 Dec 12:07 tor-doc-server.html.pl
-rw-rw-r-- 1 root admin 4139 3 Dec 12:07 tor-doc-server.html.ru
-rw-rw-r-- 1 root admin 13830 3 Dec 12:07 tor-hidden-service.html.en
-rw-rw-r-- 1 root admin 14628 3 Dec 12:07 tor-hidden-service.html.es
-rw-rw-r-- 1 root admin 15816 3 Dec 12:07 tor-hidden-service.html.fr
-rw-rw-r-- 1 root admin 14471 3 Dec 12:07 tor-hidden-service.html.it
-rw-rw-r-- 1 root admin 15293 3 Dec 12:07 tor-hidden-service.html.pl
-rw-rw-r-- 1 root admin 20757 3 Dec 12:07 tor-hidden-service.html.ru
-rw-rw-r-- 1 root admin 13806 3 Dec 12:07 tor-hidden-service.html.zh-cn
-rw-rw-r-- 1 root admin 9267 3 Dec 12:07 tor-switchproxy.html.en
-rw-rw-r-- 1 root admin 9892 3 Dec 12:07 tor-switchproxy.html.es
-rw-rw-r-- 1 root admin 10000 3 Dec 12:07 tor-switchproxy.html.it
-rw-rw-r-- 1 root admin 10287 3 Dec 12:07 tor-switchproxy.html.pl

/Library/Receipts/Tor.pkg/Contents/Resources/en.lproj:
total 8
drwxrwxr-x 3 root admin 102 23 Jan 08:10 .
drwxrwxr-x 9 root admin 306 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 366 3 Dec 12:07 Description.plist

bash-3.2# ls -alR /Library/Receipts/torbutton.pkg
total 0
drwxrwxr-x 3 root admin 102 23 Jan 08:10 .
drwxrwxr-x 91 root admin 3094 21 Apr 08:44 ..
drwxrwxr-x 6 root admin 204 23 Jan 08:10 Contents

torbutton.pkgContents:
total 88
drwxrwxr-x 6 root admin 204 23 Jan 08:10 .
drwxrwxr-x 3 root admin 102 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 35293 3 Dec 12:07 Archive.bom
-rw-rw-r-- 1 root admin 1336 23 Jan 08:10 Info.plist
-rw-rw-r--@ 1 root admin 9 3 Dec 12:07 PkgInfo
drwxrwxr-x 4 root admin 136 23 Jan 08:10 Resources

torbutton.pkgContents/Resources:
total 8
drwxrwxr-x 4 root admin 136 23 Jan 08:10 .
drwxrwxr-x 6 root admin 204 23 Jan 08:10 ..
drwxrwxr-x 3 root admin 102 23 Jan 08:10 en.lproj
-rw-rw-r--@ 1 root admin 17 3 Dec 12:07 package_version

torbutton.pkgContents/Resources/en.lproj:
total 8
drwxrwxr-x 3 root admin 102 23 Jan 08:10 .
drwxrwxr-x 4 root admin 136 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 389 3 Dec 12:07 Description.plist

bash-3.2# ls -alR /Library/Receipts/Vidalia.pkg/
total 0
drwxrwxr-x 3 root admin 102 23 Jan 08:10 .
drwxrwxr-x 90 root admin 3060 21 Apr 08:45 ..
drwxrwxr-x 6 root admin 204 23 Jan 08:10 Contents

/Library/Receipts/Vidalia.pkgContents:
total 88
drwxrwxr-x 6 root admin 204 23 Jan 08:10 .
drwxrwxr-x 3 root admin 102 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 35970 3 Dec 12:07 Archive.bom
-rw-rw-r-- 1 root admin 1585 23 Jan 08:10 Info.plist
-rw-rw-r--@ 1 root admin 9 3 Dec 12:07 PkgInfo
drwxrwxr-x 5 root admin 170 23 Jan 08:10 Resources

/Library/Receipts/Vidalia.pkgContents/Resources:
total 16
drwxrwxr-x 5 root admin 170 23 Jan 08:10 .
drwxrwxr-x 6 root admin 204 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 379 3 Dec 12:07 TokenDefinitions.plist
drwxrwxr-x 3 root admin 102 23 Jan 08:10 en.lproj
-rw-rw-r--@ 1 root admin 17 3 Dec 12:07 package_version

/Library/Receipts/Vidalia.pkgContents/Resources/en.lproj:
total 8
drwxrwxr-x 3 root admin 102 23 Jan 08:10 .
drwxrwxr-x 5 root admin 170 23 Jan 08:10 ..
-rw-rw-r-- 1 root admin 368 3 Dec 12:07 Descrip

[Automatically added by flyspray2trac: Operating System: OSX 10.4 Tiger]

Child Tickets

Change History (2)

comment:1 Changed 10 years ago by phobos

flyspray2trac: bug closed.

comment:2 Changed 7 years ago by nickm

Component: Tor ClientTor
Note: See TracTickets for help on using tickets.